//*****************************************************************************
//
// qtmixer - an X windows soundcard mixer program.
// Copyright (C) 1997 - 2000  Tom Daley
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The license is in the file COPYING.
//
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
//
// daley@codenet.net (Tom Daley)
// http://users.codenet.net/daley
//
//*****************************************************************************

#include "slider.h"

//*****************************************************************************
//
//	This is code for a slider that emits RightMouseButton events
//
//*****************************************************************************

QtedSlider::
QtedSlider(QWidget* parent, const char* name) : 
           QSlider(parent, name) {
}

//*****************************************************************************

QtedSlider::
QtedSlider(Orientation or, QWidget* parent, const char* name) : 
           QSlider(or, parent, name) {
}

//*****************************************************************************

QtedSlider::
QtedSlider(int minValue, int maxValue, int step, int value, Orientation or, 
           QWidget* parent, const char* name) : 
           QSlider(minValue, maxValue, step, value, or, parent, name) {
}

//*****************************************************************************

void QtedSlider::
mousePressEvent(QMouseEvent* me_p) {
   QSlider::mousePressEvent(me_p);
   if (me_p->button() == RightButton)
      emit rightPressed();
}

//*****************************************************************************

void QtedSlider::
mouseReleaseEvent(QMouseEvent* me_p) {
   QSlider::mouseReleaseEvent(me_p);
   if (me_p->button() == RightButton)
      emit rightReleased();
}

//*****************************************************************************
